Loading...
Searching...
No Matches
gridfire_extern.cpp File Reference
`#include "gridfire/gridfire.h"`
`#include "fourdst/composition/exceptions/exceptions_composition.h"`
`#include "gridfire/extern/gridfire_context.h"`
`#include "gridfire/extern/gridfire_extern.h"`
Include dependency graph for gridfire_extern.cpp:

## Functions

void * | gf_init ()
void | gf_free (void *ctx)
int | gf_register_species (void *ptr, const int num_species, const char **species_names)
int | gf_construct_engine_from_policy (void *ptr, const char *policy_name, const double *abundances, const size_t num_species)
int | gf_construct_solver_from_engine (void *ptr, const char *solver_name)
int | gf_evolve (void *ptr, const double *Y_in, const size_t num_species, const double T, const double rho, const double tMax, const double dt0, double *Y_out, double *energy_out, double *dEps_dT, double *dEps_dRho, double *specific_neutrino_energy_loss, double *specific_neutrino_flux, double *mass_lost)
char * | gf_get_last_error_message (void *ptr)
char * | gf_error_code_to_string (const int error_code)

## Function Documentation

## gf_construct_engine_from_policy()

int gf_construct_engine_from_policy | ( | void * | ptr,
|  | const char * | policy_name,
|  | const double * | abundances,
|  | const size_t | num_species
| ) |  |

## gf_construct_solver_from_engine()

int gf_construct_solver_from_engine | ( | void * | ptr,
|  | const char * | solver_name
| ) |  |

## gf_error_code_to_string()

char * gf_error_code_to_string | ( | const int | error_code | ) |

## gf_evolve()

int gf_evolve | ( | void * | ptr,
|  | const double * | Y_in,
|  | const size_t | num_species,
|  | const double | T,
|  | const double | rho,
|  | const double | tMax,
|  | const double | dt0,
|  | double * | Y_out,
|  | double * | energy_out,
|  | double * | dEps_dT,
|  | double * | dEps_dRho,
|  | double * | specific_neutrino_energy_loss,
|  | double * | specific_neutrino_flux,
|  | double * | mass_lost
| ) |  |

## gf_free()

void gf_free | ( | void * | ctx | ) |

## gf_get_last_error_message()

char * gf_get_last_error_message | ( | void * | ptr | ) |

## gf_init()

void * gf_init | ( |  | ) |

## gf_register_species()

int gf_register_species | ( | void * | ptr,
|  | const int | num_species,
|  | const char ** | species_names
| ) |  |